import React from "react";
import Head from "next/head";
import Link from "next/link";

import Footer from "./components/Footer";
import MainHeader from "./components/MainHeader";

class Page500 extends React.Component 
{
	constructor(props) 
	{
		super(props);
		this.state = {};
	}

	static getDerivedStateFromProps(nextProps, prevState) 
	{
		return {};
	}

	componentDidMount() {}

	render()
	{
		return (
			<React.Fragment>
				<Head>
					<title>ЛК Эволюция автолизинга</title>
					<meta name="description" content="ЛК Эволюция автолизинга" />
				</Head>
				<MainHeader/>
				<main>
					<section>
						<div className="clear"></div>
						<div className="container">
							<div className="title_wrapper">
								<div className="left">
									<h1 className="section_title">Страница не найдена</h1>
								</div>
							</div>
							<div className="offline">
								<p>
									К сожалению запрошенная страница не существует.<br/><br/><Link href="/"><a style={{ textDecoration: "underline" }}>Вернуться в Личный кабинет</a></Link>
								</p>
							</div>
						</div>
					</section>
				</main>
				<Footer/>
			</React.Fragment>
		);
	}
}

export default Page500;
